Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.manager
Interface RuntimeEnvironmentBuilder

All Known Implementing Classes:
  RuntimeEnvironmentBuilder

    public interface RuntimeEnvironmentBuilder

Nested Class Summary
`static class` | `RuntimeEnvironmentBuilder.Factory`

Method Summary
`RuntimeEnvironmentBuilder` | `addAsset(Resource asset, ResourceType type)`
`RuntimeEnvironmentBuilder` | `addConfiguration(String name, String value)`
`RuntimeEnvironmentBuilder` | `addEnvironmentEntry(String name, Object value)`
`RuntimeEnvironmentBuilder` | `classLoader(ClassLoader cl)`
`RuntimeEnvironmentBuilder` | `entityManagerFactory(Object emf)`
`RuntimeEnvironment` | `get()`
`RuntimeEnvironmentBuilder` | `knowledgeBase(KieBase kbase)`
`RuntimeEnvironmentBuilder` | `persistence(boolean persistenceEnabled)`
`RuntimeEnvironmentBuilder` | `registerableItemsFactory(RegisterableItemsFactory factory)`
`RuntimeEnvironmentBuilder` | `schedulerService(Object globalScheduler)`
`RuntimeEnvironmentBuilder` | `userGroupCallback(UserGroupCallback callback)`

Method Detail

### persistence

    RuntimeEnvironmentBuilder persistence(boolean persistenceEnabled)

### entityManagerFactory

    RuntimeEnvironmentBuilder entityManagerFactory(Object emf)

### addAsset

    RuntimeEnvironmentBuilder addAsset(Resource asset,
                                       ResourceType type)

### addEnvironmentEntry

    RuntimeEnvironmentBuilder addEnvironmentEntry(String name,
                                                  Object value)

### addConfiguration

    RuntimeEnvironmentBuilder addConfiguration(String name,
                                               String value)

### knowledgeBase

    RuntimeEnvironmentBuilder knowledgeBase(KieBase kbase)

### userGroupCallback

    RuntimeEnvironmentBuilder userGroupCallback(UserGroupCallback callback)

### registerableItemsFactory

    RuntimeEnvironmentBuilder registerableItemsFactory(RegisterableItemsFactory factory)

### get

    RuntimeEnvironment get()

### classLoader

    RuntimeEnvironmentBuilder classLoader(ClassLoader cl)

### schedulerService

    RuntimeEnvironmentBuilder schedulerService(Object globalScheduler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.